Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455298 - systool is passed deprcated arguments
Summary: systool is passed deprcated arguments
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sos
Version: 4.7
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact:
URL:
Whiteboard:
Depends On: 444838
Blocks: 467444
TreeView+ depends on / blocked
 
Reported: 2008-07-14 18:48 UTC by Robert Jackson
Modified: 2015-02-24 22:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* sosreport called systool with an invalid option ("-C" instead of "-c"). Consequently, when sosreport ran on systems with SCSI components, the report would contain the output of systool's error message rather than information on the hardware. Furthermore, sosreport would not alert the user that it had encountered an unexpected exit status from systool. The typo has been corrected, and sosreport now works correctly on systems with SCSI components.
Clone Of:
Environment:
Last Closed: 2009-03-05 03:15:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 RHEL Product and Program Management 2008-09-05 17:23:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Ruediger Landmann 2009-01-29 06:20:25 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* sosreport called systool with an invalid option ("-C" instead of "-c"). Consequently, when sosreport ran on systems with SCSI components, the report would contain the output of systool's error message rather than information on the hardware. Furthermore, sosreport would not alert the user that it had encountered an unexpected exit status from systool. The typo has been corrected, and sosreport now works correctly on systems with SCSI components.

Comment 6 Adam Stokes 2009-03-05 03:15:09 UTC
Not applicable for RHEL4.


Note You need to log in before you can comment on or make changes to this bug.